#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/PHPMYADMIN41_DEFCOLL_CUI.sh - script dialog for ece
#
# Creation:     2017-04-29 hbfl
# Last update:  $Id: PHPMYADMIN41_DEFCOLL_CUI.sh 45973 2017-04-29 19:06:01Z hbfl $
#
# Copyright (c) 2017-2019 Holger Bruenjes, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist='utf8_unicode_ci,
utf8_turkish_ci,
utf8_swedish_ci,
utf8_spanish_ci,
utf8_spanish2_ci,
utf8_slovenian_ci,
utf8_slovak_ci,
utf8_romanian_ci,
utf8_roman_ci,
utf8_polish_ci,
utf8_persian_ci,
utf8_lithuanian_ci,
utf8_latvian_ci,
utf8_icelandic_ci,
utf8_general_ci,
utf8_estonian_ci,
utf8_danish_ci,
utf8_czech_ci,
utf8_bin,
ujis_japanese_ci,
ujis_bin,
ucs2_unicode_ci,
ucs2_turkish_ci,
ucs2_swedish_ci,
ucs2_spanish_ci,
ucs2_spanish2_ci,
ucs2_slovenian_ci,
ucs2_slovak_ci,
ucs2_romanian_ci,
ucs2_roman_ci,
ucs2_polish_ci,
ucs2_persian_ci,
ucs2_lithuanian_ci,
ucs2_latvian_ci,
ucs2_icelandic_ci,
ucs2_general_ci,
ucs2_estonian_ci,
ucs2_danish_ci,
ucs2_czech_ci,
ucs2_bin,
tis620_thai_ci,
tis620_bin,
swe7_swedish_ci,
swe7_bin,
sjis_japanese_ci,
sjis_bin,
macroman_general_ci,
macroman_bin,
macce_general_ci,
macce_bin,
latin7_general_cs,
latin7_general_ci,
latin7_estonian_cs,
latin7_bin,
latin5_turkish_ci,
latin5_bin,
latin2_hungarian_ci,
latin2_general_ci,
latin2_czech_cs,
latin2_croatian_ci,
latin2_bin,
latin1_swedish_ci,
latin1_spanish_ci,
latin1_german2_ci,
latin1_german1_ci,
latin1_general_cs,
latin1_general_ci,
latin1_danish_ci,
latin1_bin,
koi8u_general_ci,
koi8u_bin,
koi8r_general_ci,
koi8r_bin,
keybcs2_general_ci,
keybcs2_bin,
hp8_english_ci,
hp8_bin,
hebrew_general_ci,
hebrew_bin,
greek_general_ci,
greek_bin,
geostd8_general_ci,
geostd8_bin,
gbk_chinese_ci,
gbk_bin,
gb2312_chinese_ci,
gb2312_bin,
euckr_korean_ci,
euckr_bin,
dec8_swedish_ci,
dec8_bin,
cp932_japanese_ci,
cp932_bin,
cp866_general_ci,
cp866_bin,
cp852_general_ci,
cp852_bin,
cp850_general_ci,
cp850_bin,
cp1257_lithuanian_ci,
cp1257_general_ci,
cp1257_bin,
cp1256_general_ci,
cp1256_bin,
cp1251_ukrainian_ci,
cp1251_general_cs,
cp1251_general_ci,
cp1251_bulgarian_ci,
cp1251_bin,
cp1250_general_ci,
cp1250_czech_cs,
cp1250_croatian_ci,
cp1250_bin,
binary,
big5_chinese_ci,
big5_bin,
ascii_general_ci,
ascii_bin,
armscii8_general_ci,
armscii8_bin'

    ece_select_list_dlg "$win" "Default collation" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
